Package org.eclipse.gef.zest.fx.parts

# Class GraphPart

java.lang.Object
org.eclipse.gef.mvc.fx.parts.AbstractVisualPart<V>
org.eclipse.gef.mvc.fx.parts.AbstractContentPart<Group>
org.eclipse.gef.zest.fx.parts.GraphPart

All Implemented Interfaces:
  `IActivatable`, `IAdaptable`, `IAdaptable.Bound<IViewer>`, `IDisposable`, `IContentPart<Group>`, `IVisualPart<Group>`

public class GraphPart extends AbstractContentPart<Group>
The `GraphPart` is the controller for a `Graph` content object. It starts a layout pass after activation and when its content children change.

## Property Summary

### Properties inherited from class org.eclipse.gef.mvc.fx.parts.AbstractContentPart

`contentAnchoragesUnmodifiable, contentChildrenUnmodifiable, content`

### Properties inherited from class org.eclipse.gef.mvc.fx.parts.AbstractVisualPart

`active, adaptable, adapters, anchoragesUnmodifiable, anchoredsUnmodifiable, childrenUnmodifiable, parent, refreshVisual`

### Properties inherited from interface org.eclipse.gef.common.activate.IActivatable

`active`

### Properties inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`adapters`

### Properties inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`adaptable`

### Properties inherited from interface org.eclipse.gef.mvc.fx.parts.IVisualPart

`anchoragesUnmodifiable, anchoredsUnmodifiable, childrenUnmodifiable, parent, refreshVisual`

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`IAdaptable.Bound<A extends IAdaptable>`

## Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`IAdaptable.Bound.Impl<T extends IAdaptable>`

## Field Summary

### Fields inherited from interface org.eclipse.gef.common.activate.IActivatable

`ACTIVE_PROPERTY`

### Fields inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`ADAPTERS_PROPERTY`

### Fields inherited from interface org.eclipse.gef.mvc.fx.parts.IContentPart

`CONTENT_ANCHORAGES_PROPERTY, CONTENT_CHILDREN_PROPERTY, CONTENT_PROPERTY`

### Fields inherited from interface org.eclipse.gef.mvc.fx.parts.IVisualPart

`ANCHORAGES_PROPERTY, ANCHOREDS_PROPERTY, CHILDREN_PROPERTY, PARENT_PROPERTY, REFRESH_VISUAL_PROPERTY`

## Constructor Summary

Constructors
Constructor
Description
`GraphPart()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doActivate()`
`protected void`
`doAddChildVisual(IVisualPart<? extends Node> child, int index)`
`protected void`
`doAddContentChild(Object contentChild, int index)`
`protected Group`
`doCreateVisual()`
`protected void`
`doDeactivate()`
`protected SetMultimap<? extends Object,String>`
`doGetContentAnchorages()`
`protected List<? extends Object>`
`doGetContentChildren()`
`void`
`doRefreshVisual(Group visual)`
`protected void`
`doRemoveChildVisual(IVisualPart<? extends Node> child, int index)`
`protected void`
`doRemoveContentChild(Object contentChild)`
`Graph`
`getContent()`
`boolean`
`isSelectable()`

### Methods inherited from class org.eclipse.gef.mvc.fx.parts.AbstractContentPart

`addContentChild, attachToContentAnchorage, contentAnchoragesUnmodifiableProperty, contentChildrenUnmodifiableProperty, contentProperty, detachFromContentAnchorage, doAttachToContentAnchorage, doDetachFromContentAnchorage, doReorderContentChild, getContentAnchoragesUnmodifiable, getContentChildrenUnmodifiable, isFocusable, refreshContentAnchorages, refreshContentChildren, register, registerAtContentPartMap, removeContentChild, reorderContentChild, setContent, unregister, unregisterFromContentPartMap`

### Methods inherited from class org.eclipse.gef.mvc.fx.parts.AbstractVisualPart

`activate, activateAdapters, activateChildren, activeProperty, adaptableProperty, adaptersProperty, addChild, addChild, addChildren, addChildren, anchoragesUnmodifiableProperty, anchoredsUnmodifiableProperty, attachAnchored, attachToAnchorage, attachToAnchorage, childrenUnmodifiableProperty, deactivate, deactivateAdapters, deactivateChildren, detachAnchored, detachFromAnchorage, detachFromAnchorage, determineViewer, dispose, doAttachToAnchorageVisual, doDetachFromAnchorageVisual, getAdaptable, getAdapter, getAdapter, getAdapter, getAdapterKey, getAdapters, getAdapters, getAdapters, getAnchoragesUnmodifiable, getAnchoredsUnmodifiable, getBehaviors, getChildrenUnmodifiable, getHandlers, getParent, getPolicies, getRoot, getVisual, isActive, isRefreshVisual, parentProperty, refreshVisual, refreshVisualProperty, registerAtVisualPartMap, removeChild, removeChildren, reorderChild, setAdaptable, setAdapter, setAdapter, setAdapter, setAdapter, setParent, setRefreshVisual, unregisterFromVisualPartMap, unsetAdapter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.gef.common.activate.IActivatable

`activate, activeProperty, deactivate, isActive`

### Methods inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`adaptersProperty, getAdapter, getAdapter, getAdapter, getAdapterKey, getAdapters, getAdapters, getAdapters, setAdapter, setAdapter, setAdapter, setAdapter, unsetAdapter`

### Methods inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`adaptableProperty, getAdaptable, setAdaptable`

### Methods inherited from interface org.eclipse.gef.common.dispose.IDisposable

`dispose`

### Methods inherited from interface org.eclipse.gef.mvc.fx.parts.IVisualPart

`addChild, addChild, addChildren, addChildren, anchoragesUnmodifiableProperty, anchoredsUnmodifiableProperty, attachAnchored, attachToAnchorage, attachToAnchorage, childrenUnmodifiableProperty, detachAnchored, detachFromAnchorage, detachFromAnchorage, getAnchoragesUnmodifiable, getAnchoredsUnmodifiable, getBehaviors, getChildrenUnmodifiable, getHandlers, getParent, getPolicies, getRoot, getViewer, getVisual, isRefreshVisual, parentProperty, refreshVisual, refreshVisualProperty, removeChild, removeChildren, reorderChild, setParent, setRefreshVisual`

## Constructor Details

### GraphPart

public GraphPart()

## Method Details

### doActivate

protected void doActivate()

Overrides:
  `doActivate` in class `AbstractVisualPart<Group>`

### doAddChildVisual

protected void doAddChildVisual(IVisualPart<? extends Node> child, int index)

Overrides:
  `doAddChildVisual` in class `AbstractVisualPart<Group>`

### doAddContentChild

protected void doAddContentChild(Object contentChild, int index)

Overrides:
  `doAddContentChild` in class `AbstractContentPart<Group>`

### doCreateVisual

protected Group doCreateVisual()

Specified by:
  `doCreateVisual` in class `AbstractVisualPart<Group>`

### doDeactivate

protected void doDeactivate()

Overrides:
  `doDeactivate` in class `AbstractVisualPart<Group>`

### doGetContentAnchorages

protected SetMultimap<? extends Object,String> doGetContentAnchorages()

Specified by:
  `doGetContentAnchorages` in class `AbstractContentPart<Group>`

### doGetContentChildren

protected List<? extends Object> doGetContentChildren()

Specified by:
  `doGetContentChildren` in class `AbstractContentPart<Group>`

### doRefreshVisual

public void doRefreshVisual(Group visual)

Specified by:
  `doRefreshVisual` in class `AbstractVisualPart<Group>`

### doRemoveChildVisual

protected void doRemoveChildVisual(IVisualPart<? extends Node> child, int index)

Overrides:
  `doRemoveChildVisual` in class `AbstractVisualPart<Group>`

### doRemoveContentChild

protected void doRemoveContentChild(Object contentChild)

Overrides:
  `doRemoveContentChild` in class `AbstractContentPart<Group>`

### getContent

public Graph getContent()

Specified by:
  `getContent` in interface `IContentPart<Group>`
Overrides:
  `getContent` in class `AbstractContentPart<Group>`

### isSelectable

public boolean isSelectable()

Specified by:
  `isSelectable` in interface `IContentPart<Group>`
Overrides:
  `isSelectable` in class `AbstractContentPart<Group>`